{
  "format_version": "1.10.0",
  "particle_effect": {
    "description": {
      "identifier": "wesl3y:jinwoo_attack2",
      "basic_render_parameters": {
        "material": "particles_add",
        "texture": "textures/particle/jinwoo/attack"
      }
    },
    "components": {
      "minecraft:emitter_local_space": {
        "position": true,
        "rotation": false
      },
      "minecraft:emitter_rate_instant": {
        "num_particles": 10
      },
      "minecraft:emitter_lifetime_once": {},
      "minecraft:emitter_shape_point": {},
      "minecraft:particle_initial_spin": {
        "rotation": -45
      },
      "minecraft:particle_lifetime_expression": {
        "max_lifetime": 0.25
      },
      "minecraft:particle_initial_speed": 0,
      "minecraft:particle_motion_dynamic": {},
      "minecraft:particle_appearance_billboard": {
        "size": ["1.5 + (0.7 * v.particle_age)", "1.5 + (0.7 * v.particle_age)"],
        "facing_camera_mode": "emitter_transform_xz",
        "direction": {
          "mode": "custom",
          "custom_direction": [0, -1, 0]
        },
        "uv": {
          "texture_width": 64,
          "texture_height": 64,
          "uv": [0, 0],
          "uv_size": [64, 64]
        }
      },
      "minecraft:particle_appearance_tinting": {
        "color": {
          "interpolant": "v.particle_age",
          "gradient": {
            "0.0": "#ff2FAAFF",
            "0.25": "#002FAAFF"
          }
        }
      }
    }
  }
}